//------------------------------------------------------------------------------
// shape_Perimetr.cpp -   
//     
//------------------------------------------------------------------------------

#include "shape_atd.h"

//------------------------------------------------------------------------------

namespace simple_shapes {

//------------------------------------------------------------------------------

  //       
  //  . ,  ,    .
  double Perimetr(rectangle &r);
  double Perimetr(triangle &t);

//------------------------------------------------------------------------------

  //    
  double Perimetr(shape &s)
  {
    switch(s.k) {
    case shape::key::RECTANGLE:
      return Perimetr(s.r);
    case shape::key::TRIANGLE:
      return Perimetr(s.t);
    default:
      return 0.0;
    }
  }

//------------------------------------------------------------------------------

} // end simple_shapes namespace
